net.sf.jasperreports.export

## Interface HtmlReportConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ReportExportConfiguration
  All Known Subinterfaces:
    JRHtmlReportConfiguration
  All Known Implementing Classes:
    SimpleHtmlReportConfiguration

      public interface HtmlReportConfiguration
      extends ReportExportConfiguration

  Interface containing settings used by the HTML exporters.
  Version:
    $Id: HtmlExporterConfiguration.java 6709 2013-11-08 14:39:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `HtmlExporter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_ACCESSIBLE` Property that provides a default value for the `isAccessibleHtml()` exporter configuration setting.
    `static java.lang.String` | `PROPERTY_BORDER_COLLAPSE` Property that provides the default value for the `getBorderCollapse()` export configuration setting.
    `static java.lang.String` | `PROPERTY_IGNORE_HYPERLINK` Property that provides a default for the `isIgnoreHyperlink()` export configuration flag.
    `static java.lang.String` | `PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS` Property whose value is used as default state of the `isRemoveEmptySpaceBetweenRows()` export configuration flag.
    `static java.lang.String` | `PROPERTY_SIZE_UNIT` Property whose value is used as default for the `getSizeUnit()` export configuration setting.
    `static java.lang.String` | `PROPERTY_WHITE_PAGE_BACKGROUND` Property whose value is used as default state of the `isWhitePageBackground()` export configuration flag.
    `static java.lang.String` | `PROPERTY_WRAP_BREAK_WORD` Property whose value is used as default state of the `isWrapBreakWord()` export configuration flag.

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBorderCollapse()` Provides the value for the `border-collapse` CSS property to be applied to the table generated for the report.
    `HtmlSizeUnitEnum` | `getSizeUnit()` Returns a String value specifying the unit to use when measuring lengths or font size.
    `java.lang.Float` | `getZoomRatio()` The zoom ratio used for the export.
    `java.lang.Boolean` | `isAccessibleHtml()` Configuration setting that determines the exporter to produce accessible HTML.
    `java.lang.Boolean` | `isIgnoreHyperlink()`
    `java.lang.Boolean` | `isIgnorePageMargins()` Indicates whether page margins should be ignored when the report is exported using a grid-based exporter If set to `true`, any page in the document will be exported without taking into account its margins.
    `java.lang.Boolean` | `isRemoveEmptySpaceBetweenRows()` Returns a boolean value specifying whether the blank lines, that sometimes appear between rows, should be deleted.
    `java.lang.Boolean` | `isWhitePageBackground()` Returns a boolean value specifying whether the report background should be white.
    `java.lang.Boolean` | `isWrapBreakWord()` Returns a boolean value specifying whether the export engine should use force wrapping by breaking words (CSS `word-wrap: break-word`).

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_WHITE_PAGE_BACKGROUND

          static final java.lang.String PROPERTY_WHITE_PAGE_BACKGROUND

      Property whose value is used as default state of the `isWhitePageBackground()` export configuration flag.

      This property is set by default (`true`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

          static final java.lang.String PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

      Property whose value is used as default state of the `isRemoveEmptySpaceBetweenRows()` export configuration flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_WRAP_BREAK_WORD

          static final java.lang.String PROPERTY_WRAP_BREAK_WORD

      Property whose value is used as default state of the `isWrapBreakWord()` export configuration flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_SIZE_UNIT

          static final java.lang.String PROPERTY_SIZE_UNIT

      Property whose value is used as default for the `getSizeUnit()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_BORDER_COLLAPSE

          static final java.lang.String PROPERTY_BORDER_COLLAPSE

      Property that provides the default value for the `getBorderCollapse()` export configuration setting.

      The property can be set globally and at report level. It defaults to `collapse`.

      See Also:
        Constant Field Values

    - #### PROPERTY_ACCESSIBLE

          static final java.lang.String PROPERTY_ACCESSIBLE

      Property that provides a default value for the `isAccessibleHtml()` exporter configuration setting.
      See Also:
        Constant Field Values

    - #### PROPERTY_IGNORE_HYPERLINK

          static final java.lang.String PROPERTY_IGNORE_HYPERLINK

      Property that provides a default for the `isIgnoreHyperlink()` export configuration flag.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isRemoveEmptySpaceBetweenRows

          java.lang.Boolean isRemoveEmptySpaceBetweenRows()

      Returns a boolean value specifying whether the blank lines, that sometimes appear between rows, should be deleted. Sometimes page break occurs before the entire page is filled with data (i.e. having a group with the isStartNewPage attribute set to true). All the remaining empty space could be removed by setting this parameter to true.
      See Also:
        `PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS`

    - #### isWhitePageBackground

          java.lang.Boolean isWhitePageBackground()

      Returns a boolean value specifying whether the report background should be white. If this parameter is not set, the default background will appear, depending on the selected CSS styles.
      See Also:
        `PROPERTY_WHITE_PAGE_BACKGROUND`

    - #### isWrapBreakWord

          java.lang.Boolean isWrapBreakWord()

      Returns a boolean value specifying whether the export engine should use force wrapping by breaking words (CSS `word-wrap: break-word`).

      Note that this CSS property is not currently supported by all browsers. An alternative approach for forcing word breaks in HTML is to save the line breaks at fill time via the `JRTextElement.PROPERTY_SAVE_LINE_BREAKS` property.

      See Also:
        `PROPERTY_WRAP_BREAK_WORD`

    - #### getSizeUnit

          HtmlSizeUnitEnum getSizeUnit()

      Returns a String value specifying the unit to use when measuring lengths or font size. This can be one of the supported size units from the CSS specifications like "px" for pixels or "pt" for points. The default value is "px", meaning that lengths and font sizes are specified in pixels.
      See Also:
        `PROPERTY_SIZE_UNIT`

    - #### getBorderCollapse

          java.lang.String getBorderCollapse()

      Provides the value for the `border-collapse` CSS property to be applied to the table generated for the report.
      See Also:
        `PROPERTY_BORDER_COLLAPSE`

    - #### isIgnorePageMargins

          java.lang.Boolean isIgnorePageMargins()

      Indicates whether page margins should be ignored when the report is exported using a grid-based exporter

      If set to `true`, any page in the document will be exported without taking into account its margins.

      See Also:
        `ReportExportConfiguration.PROPERTY_IGNORE_PAGE_MARGINS`

    - #### isAccessibleHtml

          java.lang.Boolean isAccessibleHtml()

      Configuration setting that determines the exporter to produce accessible HTML.
      See Also:
        `PROPERTY_ACCESSIBLE`

    - #### getZoomRatio

          java.lang.Float getZoomRatio()

      The zoom ratio used for the export. The default value is 1.

    - #### isIgnoreHyperlink

          java.lang.Boolean isIgnoreHyperlink()

      See Also:
        `PROPERTY_IGNORE_HYPERLINK`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com